<div
  class="p-10 container-background-color overlay-field container-border-color flex-column"
  style="width: 250px"
  [sqtmCoreWorkspace]="workspace"
  [localTheme]="true"
>
  <div class="full-width flex-row" style="align-items: baseline">
    <input
      [attr.data-test-element-id]="'input'"
      #input
      nz-input
      class="full-width"
      [(ngModel)]="stringValue"
      (keyup)="handleKeyboardInput($event)"
    />
  </div>
  @if (filter.availableOperations.length > 1) {
    <div class="m-t-10 full-width flex-row operation-selector">
      <sqtm-core-operation-selector
        class="full-width"
        [availableOperations]="filter.availableOperations"
        [operation]="filter.operation"
        (operationChanged)="changeOperation($event)"
      >
      </sqtm-core-operation-selector>
    </div>
  }
  <div class="m-t-10 flex-row full-width">
    <button
      [attr.data-test-element-id]="'update-button'"
      nz-button
      nzType="primary"
      (click)="changeValue()"
    >
      {{ 'sqtm-core.generic.label.update' | translate | capitalize }}
    </button>
    <button
      [attr.data-test-element-id]="'cancel-button'"
      style="margin-left: auto"
      nz-button
      nzType="default"
      (click)="closeTextField()"
    >
      {{ 'sqtm-core.generic.label.cancel' | translate | capitalize }}
    </button>
  </div>
</div>
